Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.loader.bulk
Class MetaLoaderFilter

    java.lang.Object
      com.bea.content.loader.bulk.MetaLoaderFilter

All Implemented Interfaces
  LoaderFilter

    public class MetaLoaderFilter

extends Object
implements LoaderFilter

BulkLoader filter which can determine "width" and "height" metadata for GIF, JPEG, XBM, and PNG image files.

The image type is determined from the file name (based upon the `MIME type`).

This class will generally not read in the entire contents of the file. It will instead attempt to get the metadata from the image format headers. However, it does not implement full decoders for the image formats, so, there might be images files for which this doesn't work.

Since:
  3.1

Constructor Summary
`MetaLoaderFilter()`

Method Summary
`void` | `loadProperties(File f, Properties p, BulkLoader loader)` Fill out the properties with image metadata from the specified file.
`static void` | `main(String[] args)` Print the sizes of the files specified on the command-line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaLoaderFilter

    public MetaLoaderFilter()

Method Detail

### loadProperties

    public void loadProperties(File f,
                               Properties p,
                               BulkLoader loader)

  Fill out the properties with image metadata from the specified file.

  If the filename doesn't correspond to a GIF, JPEG, XBM, or PNG, it will be ignored.

  Specified by:
    `loadProperties` in interface `LoaderFilter`

### main

    public static void main(String[] args)
                     throws Exception

  Print the sizes of the files specified on the command-line.

  Throws
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.